Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ general/graphlib/opencv.xml	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -7,8 +7,8 @@
   <!ENTITY opencv-download-http     "https://github.com/opencv/opencv/archive/&opencv-version;/opencv-&opencv-version;.tar.gz">
   <!ENTITY opencv-download-ftp      " ">
-  <!ENTITY opencv-md5sum            "b80c59c7e4feee6a00608315e02b0b73">
+  <!ENTITY opencv-md5sum            "c1b2b91f27526ad3b49fbcd00551c96b">
   <!ENTITY opencv-size              "84 MB">
   <!ENTITY opencv-buildsize         "627 MB">
-  <!ENTITY opencv-time              "3.7 SBU (using parallelism=4)">
+  <!ENTITY opencv-time              "4.1 SBU (using parallelism=4)">
 
 
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ general/prog/cmake.xml	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "90ae2d41dd533b012c536df3f31ad0b0">
+  <!ENTITY cmake-md5sum        "fc6ffc06e6c356e8ab55fd353d7c260b">
   <!ENTITY cmake-size          "8.8 MB">
   <!ENTITY cmake-buildsize     "392 MB (add 494 MB for tests)">
-  <!ENTITY cmake-time          "2.6 SBU (add 3.3 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-time          "2.6 SBU (add 3.4 SBU for tests, both using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ introduction/welcome/changelog.xml	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -42,4 +42,26 @@
     </listitem>
        -->
+
+    <listitem>
+      <para>July 28th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to ldns-1.7.1. Fixes
+          <ulink url="&blfs-ticket-root;12326">#12326</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cmake-3.15.1. Fixes
+          <ulink url="&blfs-ticket-root;12325">#12325</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to opencv-4.1.1. Fixes
+          <ulink url="&blfs-ticket-root;12324">#12324</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to btrfs-progs-5.2.1. Fixes
+          <ulink url="&blfs-ticket-root;12323">#12323</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: networking/connect/dhcp.xml
===================================================================
--- networking/connect/dhcp.xml	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ networking/connect/dhcp.xml	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -99,23 +99,24 @@
 
     <para>
-      You must have Packet Socket support:
-    </para>
-
-<screen><literal>[*] Networking support ---&gt;          [CONFIG_NET]
+      You must have Packet Socket support.  IPv6 support is optional.
+    </para>
+
+<screen><literal>[*] Networking support ---&gt;        [CONFIG_NET]
       Networking options ---&gt;
-        &lt;*&gt; Packet socket            [CONFIG_PACKET]</literal></screen>
-
+        &lt;*&gt; Packet socket          [CONFIG_PACKET]
+        &lt;*&gt; The IPv6 Protocol ---&gt; [CONFIG_IPV6]</literal></screen>
+<!--
     <para>
       If you do not have IPv6 support:
     </para>
 
-<screen><literal>[*] Networking support ---&gt;          [CONFIG_NET]
-      Networking Options ---&gt;
-        &lt;*&gt; The IPv6 Protocol ---&gt;   [CONFIG_IPV6]</literal></screen>
+<screen><literal>[*] Networking support - - -&gt;          [CONFIG_NET]
+      Networking Options - - -&gt;
+        &lt;*&gt; The IPv6 Protocol - - -&gt;   [CONFIG_IPV6]</literal></screen>
 
     <para>
        compiled in, then you must use the <quote>missing_ipv6</quote> patch.
     </para>
-
+-->
     <indexterm zone="dhcp dhcp-kernel">
       <primary sortas="d-DHCP">DHCP</primary>
Index: networking/netlibs/ldns.xml
===================================================================
--- networking/netlibs/ldns.xml	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ networking/netlibs/ldns.xml	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -7,5 +7,5 @@
   <!ENTITY ldns-download-http "http://www.nlnetlabs.nl/downloads/ldns/ldns-&ldns-version;.tar.gz">
   <!ENTITY ldns-download-ftp  " ">
-  <!ENTITY ldns-md5sum        "74b75c9ba69fb3af2a0c26244ecfd9f6">
+  <!ENTITY ldns-md5sum        "166262a46995d9972aba417fd091acd5">
   <!ENTITY ldns-size          "1.2 MB">
   <!ENTITY ldns-buildsize     "28 MB (with docs)">
Index: packages.ent
===================================================================
--- packages.ent	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ packages.ent	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -47,5 +47,5 @@
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.2">
+<!ENTITY btrfs-progs-version          "5.2.1">
 <!ENTITY dosfstools-version           "4.1">
 <!ENTITY fuse3-version                "3.6.2">
@@ -220,6 +220,6 @@
 <!ENTITY mypaint-brushes-version      "1.3.0"> <!-- version 1 only -->
 <!ENTITY newt-version                 "0.52.21">
-<!ENTITY opencv-version               "4.1.0">
-<!ENTITY opencv-contrib-version       "4.1.0">
+<!ENTITY opencv-version               "4.1.1">
+<!ENTITY opencv-contrib-version       "4.1.1">
 <!ENTITY openjpeg-version             "1.5.2">
 <!ENTITY openjpeg2-version            "2.3.1">
@@ -313,5 +313,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.15">
-<!ENTITY cmake-minor-version          "0">
+<!ENTITY cmake-minor-version          "1">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
@@ -578,5 +578,5 @@
 <!ENTITY geoclue2-version             "2.5.3">
 <!ENTITY glib-networking-version      "2.60.3">
-<!ENTITY ldns-version                 "1.7.0">
+<!ENTITY ldns-version                 "1.7.1">
 <!ENTITY libevent-version             "2.1.10">
 <!ENTITY libnl-version                "3.4.0">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision ec0a52820b343ce7b42840dde1fb881bdc5f55bb)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 321c5a238f0a0654d38d81de2f6e6f2f50c034db)
@@ -7,7 +7,7 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "61be9c48f088bd27480cd9ecf6121cf8">
+  <!ENTITY btrfs-progs-md5sum        "9bacd0fec4efd449a6223f1c72ab91b3">
   <!ENTITY btrfs-progs-size          "2.0 MB">
-  <!ENTITY btrfs-progs-buildsize     "55 MB (add 111 MB for tests)">
+  <!ENTITY btrfs-progs-buildsize     "55 MB (add 29 MB for tests)">
   <!ENTITY btrfs-progs-time          "0.2 SBU (add 13 SBU for tests)">
 ]>