Index: general/general.ent
===================================================================
--- general/general.ent	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/general.ent	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -69,4 +69,5 @@
 <!ENTITY general-prog SYSTEM "prog/prog.xml">
 <!ENTITY % python SYSTEM "prog/python/python.ent">
+<!ENTITY % librep SYSTEM "prog/librep/librep.ent">
 <!ENTITY % jdk SYSTEM "prog/jdk/j2sdk.ent">
 <!ENTITY % ruby SYSTEM "prog/ruby/ruby.ent">
@@ -74,4 +75,5 @@
 <!ENTITY % gcc SYSTEM "prog/gcc/gcc.ent">
 %python;
+%librep;
 %jdk;
 %ruby;
Index: general/prog/librep.xml
===================================================================
--- general/prog/librep.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
+++ general/prog/librep.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -0,0 +1,11 @@
+<sect1 id="librep" xreflabel="librep-&librep-version;">
+<?dbhtml filename="librep.html" dir="general"?>
+<title>librep-&librep-version;</title>
+
+&librep-intro;
+&librep-inst;
+&librep-exp;
+&librep-desc;
+
+</sect1>
+
Index: general/prog/librep/librep-desc.xml
===================================================================
--- general/prog/librep/librep-desc.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
+++ general/prog/librep/librep-desc.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Contents</title>
+
+<para>The librep package contains <userinput>rep</userinput> and
+<userinput> librep libraries</userinput></para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>rep</title>
+<para>rep is the Lisp interpreter.</para></sect3>
+
+<sect3><title>librep libraries</title>
+<para>librep libraries contains the functions necessary for the Lisp
+interpreter.</para></sect3>
+
+</sect2>
+
Index: general/prog/librep/librep-exp.xml
===================================================================
--- general/prog/librep/librep-exp.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
+++ general/prog/librep/librep-exp.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -0,0 +1,9 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--libexec=/usr/lib :</userinput> This command installs
+files to <filename>/usr/lib/rep</filename> instead of
+<filename>/user/libexec/rep</filename>.</para>
+
+</sect2>
+
Index: general/prog/librep/librep-inst.xml
===================================================================
--- general/prog/librep/librep-inst.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
+++ general/prog/librep/librep-inst.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of librep</title>
+
+<para>Install librep by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/lib --mandir=/usr/share/man \
+--infodir=/usr/share/info &amp;&amp;
+make &amp;&amp;
+make install </userinput></screen></para>
+
+</sect2>
+
Index: general/prog/librep/librep-intro.xml
===================================================================
--- general/prog/librep/librep-intro.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
+++ general/prog/librep/librep-intro.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Introduction to librep</title>
+
+<screen>Download location (HTTP):       <ulink url="&librep-download-http;"/>
+Download location (FTP):        <ulink url="&librep-download-ftp;"/>
+Version used:                   &librep-version;
+Package size:                   &librep-size;
+Estimated Disk space required:  &librep-buildsize;</screen>
+
+<para>The librep package contains a Lisp system. This is useful for
+scripting or for applications that may use the Lisp interpreter as an
+extension language.</para>
+
+<screen>librep depends on:
+<xref linkend="gmp"/> and <xref linkend="gdbm"/>
+librep will utilize:
+readline</screen>
+
+</sect2>
Index: general/prog/librep/librep.ent
===================================================================
--- general/prog/librep/librep.ent	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
+++ general/prog/librep/librep.ent	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -0,0 +1,11 @@
+<!ENTITY librep SYSTEM "../librep.xml">
+<!ENTITY librep-intro SYSTEM "librep-intro.xml">
+<!ENTITY librep-inst SYSTEM "librep-inst.xml">
+<!ENTITY librep-exp SYSTEM "librep-exp.xml">
+<!ENTITY librep-desc SYSTEM "librep-desc.xml">
+<!ENTITY librep-config SYSTEM "librep-config.xml">
+<!ENTITY librep-buildsize "6.7 MB">
+<!ENTITY librep-version "0.16.1">
+<!ENTITY librep-download-http "http://sourceforge.net/project/showfiles.php?group_id=580">
+<!ENTITY librep-download-ftp "">
+<!ENTITY librep-size "896 KB">
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/prog/prog.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -4,4 +4,5 @@
 
 &Python;
+&librep;
 &j2sdk;
 &ruby;
Index: general/sysutils/cpio/cpio-exp.xml
===================================================================
--- general/sysutils/cpio/cpio-exp.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/sysutils/cpio/cpio-exp.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -3,5 +3,5 @@
 
 <para><userinput>--libexec=/usr/bin :</userinput> This command installs
-rmt to <filename>/usr/bin</filename> instead of
+rmt to <filename>/usr/sbin</filename> instead of
 <filename>/usr/libexec</filename>.</para>
 
Index: general/sysutils/cpio/cpio-inst.xml
===================================================================
--- general/sysutils/cpio/cpio-inst.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ general/sysutils/cpio/cpio-inst.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -4,5 +4,5 @@
 <para>Install cpio by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/bin &amp;&amp;
+<para><screen><userinput>./configure --prefix=/usr --libexec=/usr/sbin &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ introduction/welcome/changelog.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -11,6 +11,6 @@
 <itemizedlist>
 
-<listitem><para>August 18th, 2002 [larry]: General: added gmp-4.1 and
-gdbm-1.8.0.</para></listitem>
+<listitem><para>August 18th, 2002 [larry]: General: added gmp-4.1,
+gdbm-1.8.0 and librep-0.16.1.</para></listitem>
 
 <listitem><para>August 17th, 2002 [larry]: Added patch paragraph to
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 777e407ede973ab1eaeb969f6a2490b8993bc4ff)
+++ introduction/welcome/credits.xml	(revision 329bca8f8ddc2c9f6f1b144ba85c5f085e1c69dd)
@@ -75,6 +75,5 @@
 
 <listitem><para>ATK, audiofile, bc, cdrdao, cdrtools, cpio, curl, dhcp, fcron,
-fluxbox, gcc, gdbm, gmp, gnat, imlib, GLib2, GTK+2, j2sdk, libao, libogg, libvorbis, libxml2, libxslt, mutt, OpenSSH, Pango, pccts, pcre, pkgconfig, postfix,
-procmail, Python, QT, ruby, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
+fluxbox, gcc, gdbm, gmp, gnat, imlib, GLib2, GTK+2, j2sdk, libao, libogg, librep, libvorbis, libxml2, libxslt, mutt, OpenSSH, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, ruby, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 
 <listitem><para>CDParanoia, mpg123, SDL and XMMS: <emphasis>Jeroen