Index: TODO
===================================================================
--- TODO	(revision 89e3131ae53e061ae7c003bf9e4b1b87186508dc)
+++ TODO	(revision 0331c46cf6869259d537dd557a0977cc0198a3e1)
@@ -6,4 +6,2 @@
   * tcl-8.5.11
   * tk-8.5.11
-
-  * Check libmpeg3-1.8
Index: general.ent
===================================================================
--- general.ent	(revision 89e3131ae53e061ae7c003bf9e4b1b87186508dc)
+++ general.ent	(revision 0331c46cf6869259d537dd557a0977cc0198a3e1)
@@ -335,5 +335,5 @@
 <!ENTITY parted-version               "3.1">
 <!ENTITY udisks-version               "1.0.4">
-<!ENTITY udisks2-version              "1.96.0">
+<!ENTITY udisks2-version              "1.97.0">
 <!ENTITY eject-version                "2.1.5">
 <!ENTITY gvfs-version                 "1.12.2">
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision 89e3131ae53e061ae7c003bf9e4b1b87186508dc)
+++ general/sysutils/udisks2.xml	(revision 0331c46cf6869259d537dd557a0977cc0198a3e1)
@@ -7,8 +7,8 @@
   <!ENTITY udisks2-download-http "http://udisks.freedesktop.org/releases/udisks-&udisks2-version;.tar.bz2">
   <!ENTITY udisks2-download-ftp  " ">
-  <!ENTITY udisks2-md5sum        "427a31f0d9056af79e44f0278844c8b9">
-  <!ENTITY udisks2-size          "608 KB">
-  <!ENTITY udisks2-buildsize     "30 MB">
-  <!ENTITY udisks2-time          "0.3 SBU">
+  <!ENTITY udisks2-md5sum        "8ae4ef908ab706789e0e2b33d8810877">
+  <!ENTITY udisks2-size          "620 KB">
+  <!ENTITY udisks2-buildsize     "32 MB">
+  <!ENTITY udisks2-time          "0.4 SBU">
 ]>
 
@@ -198,5 +198,8 @@
         </listitem>
       </varlistentry>
+
     </variablelist>
-  </sect2>
+
+  </sect2>
+
 </sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 89e3131ae53e061ae7c003bf9e4b1b87186508dc)
+++ introduction/welcome/changelog.xml	(revision 0331c46cf6869259d537dd557a0977cc0198a3e1)
@@ -61,4 +61,7 @@
         </listitem>
         <listitem>
+          <para>[krejzi] - UDisks2 1.97.0.</para>
+        </listitem>
+        <listitem>
           <para>[krejzi] - unixODBC 2.3.1.</para>
         </listitem>
Index: multimedia/libdriv/libmpeg3.xml
===================================================================
--- multimedia/libdriv/libmpeg3.xml	(revision 89e3131ae53e061ae7c003bf9e4b1b87186508dc)
+++ multimedia/libdriv/libmpeg3.xml	(revision 0331c46cf6869259d537dd557a0977cc0198a3e1)
@@ -10,8 +10,8 @@
   <!ENTITY libmpeg3-size          "2.4 MB">
   <!ENTITY libmpeg3-buildsize     "13 MB">
-  <!ENTITY libmpeg3-time          "less than 0.1 SBU">
+  <!ENTITY libmpeg3-time          "0.1 SBU">
 ]>
 
-<sect1 id="libmpeg3" xreflabel="LibMPEG3-&libmpeg3-version;">
+<sect1 id="libmpeg3" xreflabel="libMPEG3-&libmpeg3-version;">
   <?dbhtml filename="libmpeg3.html"?>
 
@@ -21,35 +21,51 @@
   </sect1info>
 
-  <title>LibMPEG3-&libmpeg3-version;</title>
+  <title>libMPEG3-&libmpeg3-version;</title>
 
   <indexterm zone="libmpeg3">
-    <primary sortas="a-LibMPEG3">LibMPEG3</primary>
+    <primary sortas="a-libMPEG3">libMPEG3</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to LibMPEG3</title>
-
-    <para><application>LibMPEG3</application> supports advanced
-    editing and manipulation of MPEG streams.</para>
+    <title>Introduction to libMPEG3</title>
+
+    <para>
+      <application>libMPEG3</application> supports advanced
+      editing and manipulation of MPEG streams.
+    </para>
+
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&libmpeg3-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&libmpeg3-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &libmpeg3-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &libmpeg3-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &libmpeg3-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &libmpeg3-time;</para>
+        <para>
+          Download (HTTP): <ulink url="&libmpeg3-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libmpeg3-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libmpeg3-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libmpeg3-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libmpeg3-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libmpeg3-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -58,13 +74,18 @@
     <itemizedlist spacing='compact'>
       <listitem>
-        <para>Required Patch: <ulink
-        url="&patch-root;/libmpeg3-&libmpeg3-version;-makefile_fixes-1.patch"/></para>
+        <para>
+          Required Patch:
+          <ulink url="&patch-root;/libmpeg3-&libmpeg3-version;-makefile_fixes-2.patch"/>
+        </para>
       </listitem>
     </itemizedlist>
 
-    <bridgehead renderas="sect3">LibMPEG3 Dependencies</bridgehead>
+    <bridgehead renderas="sect3">libMPEG3 Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="NASM"/></para>
+    <para role="required">
+      <xref linkend="liba52"/> and
+      <xref linkend="NASM"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -74,41 +95,23 @@
 
   <sect2 role="installation">
-    <title>Installation of LibMPEG3</title>
-
-    <para>Install <application>LibMPEG3</application> by running the following
-    commands:</para>
-
-<screen><userinput>patch -Np1 -i ../libmpeg3-&libmpeg3-version;-makefile_fixes-1.patch &amp;&amp;
-./configure &amp;&amp;
+    <title>Installation of libMPEG3</title>
+
+    <para>
+      Install <application>libMPEG3</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../libmpeg3-&libmpeg3-version;-makefile_fixes-2.patch &amp;&amp;
 make</userinput></screen>
 
-    <para>This package does not come with a test suite.</para>
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <!-- Removed, as the patch modifies Makefile so that everything is installed
-    <para><command>install -v -m644 i686/libmpeg3.a /usr/lib &amp;&amp;
-    install -v -m644 {libmpeg3,mpeg3private,mpeg3protos}.h
-    /usr/include</command>: Since <command>make install</command> doesn't copy
-    the library and header files to proper locations, it is done
-    manually.</para>
-    -->
-
-    <para><command>patch -Np1 -i ...</command>: The patch modifies the
-    <filename>Makefile</filename> so that everything is installed with the
-    <command>make install</command> command instead of just the executables
-    being installed and manual commands used to install the library, interface
-    headers and documentation.</para>
-
-    <para><command>./configure</command>: This is not a typical Autotools
-    script. It is only used to check for the availability of the NASM
-    compiler.</para>
 
   </sect2>
@@ -119,11 +122,18 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>mpeg3cat, mpeg3dump, mpeg3peek and mpeg3toc</seg>
-        <seg>libmpeg3.a</seg>
-        <seg>/usr/share/doc/libmpeg3-&libmpeg3-version;</seg>
+        <seg>
+          mpeg3cat, mpeg3dump, mpeg3peek and mpeg3toc
+        </seg>
+        <seg>
+           libmpeg3.{so,a}
+        </seg>
+        <seg>
+          /usr/include/audio and
+          /usr/include/video
+        </seg>
       </seglistitem>
     </segmentedlist>
@@ -137,6 +147,8 @@
         <term><command>mpeg3cat</command></term>
         <listitem>
-          <para>concatenates elementary streams or demultiplexes a program
-          stream (separates components of the stream).</para>
+          <para>
+            concatenates elementary streams or demultiplexes a program
+            stream (separates components of the stream).
+          </para>
           <indexterm zone="libmpeg3 mpeg3cat">
             <primary sortas="b-mpeg3cat">mpeg3cat</primary>
@@ -148,5 +160,7 @@
         <term><command>mpeg3dump</command></term>
         <listitem>
-          <para>dumps information or extracts audio to a 24 bit PCM file.</para>
+          <para>
+            dumps information or extracts audio to a 24 bit PCM file.
+          </para>
           <indexterm zone="libmpeg3 mpeg3dump">
             <primary sortas="b-mpeg3dump">mpeg3dump</primary>
@@ -158,6 +172,8 @@
         <term><command>mpeg3peek</command></term>
         <listitem>
-          <para>prints the byte offset of a given frame. It only works for
-          video and requires a table of contents.</para>
+          <para>
+            prints the byte offset of a given frame. It only works for
+            video and requires a table of contents.
+          </para>
           <indexterm zone="libmpeg3 mpeg3peek">
             <primary sortas="b-mpeg3peek">mpeg3peek</primary>
@@ -169,5 +185,7 @@
         <term><command>mpeg3toc</command></term>
         <listitem>
-          <para>creates a table of contents for a DVD or MPEG stream.</para>
+          <para>
+            creates a table of contents for a DVD or MPEG stream.
+          </para>
           <indexterm zone="libmpeg3 mpeg3toc">
             <primary sortas="b-mpeg3toc">mpeg3toc</primary>
@@ -177,10 +195,12 @@
 
       <varlistentry id="libmpeg3-lib">
-        <term><filename class='libraryfile'>libmpeg3.a</filename></term>
-        <listitem>
-          <para>decodes several MPEG standards into uncompressed data
-          suitable for editing and playback.</para>
+        <term><filename class='libraryfile'>libmpeg3.{so,a}</filename></term>
+        <listitem>
+          <para>
+            decodes several MPEG standards into uncompressed data
+            suitable for editing and playback.
+          </para>
           <indexterm zone="libmpeg3 libmpeg3-lib">
-            <primary sortas="c-libmpeg3">libmpeg3.a</primary>
+            <primary sortas="c-libmpeg3">libmpeg3.{so,a}</primary>
           </indexterm>
         </listitem>