Index: kde/add/kde-i18n.xml
===================================================================
--- kde/add/kde-i18n.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kde-i18n.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kde-i18n-[xx]-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdeaccessibility.xml
===================================================================
--- kde/add/kdeaccessibility.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdeaccessibility.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdeaccessibility-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdeaddons.xml
===================================================================
--- kde/add/kdeaddons.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdeaddons.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdeaddons-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdeadmin.xml
===================================================================
--- kde/add/kdeadmin.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdeadmin.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdeadmin-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdeartwork.xml
===================================================================
--- kde/add/kdeartwork.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdeartwork.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdeartwork-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdebindings.xml
===================================================================
--- kde/add/kdebindings.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdebindings.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdebindings-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdeedu.xml
===================================================================
--- kde/add/kdeedu.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdeedu.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdeedu-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdegames.xml
===================================================================
--- kde/add/kdegames.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdegames.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdegames-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdegraphics.xml
===================================================================
--- kde/add/kdegraphics.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdegraphics.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdegraphics-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdemultimedia.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdemultimedia-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdenetwork.xml
===================================================================
--- kde/add/kdenetwork.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdenetwork.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdenetwork-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdepim.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -23,5 +23,5 @@
     <keywordset>
       <keyword role="package">kdepim-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdesdk.xml
===================================================================
--- kde/add/kdesdk.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdesdk.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdesdk-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdetoys.xml
===================================================================
--- kde/add/kdetoys.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdetoys.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdetoys-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdeutils.xml
===================================================================
--- kde/add/kdeutils.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdeutils.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdeutils-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdevelop.xml
===================================================================
--- kde/add/kdevelop.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdevelop.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdevelop-&kdevelop-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/add/kdewebdev.xml
===================================================================
--- kde/add/kdewebdev.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/add/kdewebdev.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdewebdev-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/core/arts.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">arts-&arts-version;.tar</keyword>
-      <keyword role="ftptdir">arts</keyword>
+      <keyword role="ftpdir">arts</keyword>
     </keywordset>
   </sect1info>
Index: kde/core/kdebase.xml
===================================================================
--- kde/core/kdebase.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/core/kdebase.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdebase-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision e7307aa1ca5deba74f174acf14ae980036e05a47)
+++ kde/core/kdelibs.xml	(revision 332ba71962f2e0bc3013d5c837200d67a2c2a355)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">kdelibs-&kde-version;.tar</keyword>
-      <keyword role="ftptdir">kde</keyword>
+      <keyword role="ftpdir">kde</keyword>
     </keywordset>
   </sect1info>