Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 3cf61ed843b37325a4bf30a138317887f6927f12)
+++ multimedia/videoutils/ffmpeg.xml	(revision 333e840002ff0aad61b72ffb3d68dc6463428e91)
@@ -7,8 +7,8 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.bz2">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "c36caa8d29b3677dcb7bd8c546890c9d">
+  <!ENTITY ffmpeg-md5sum        "9e6163b09b7b9331b834d80874c2c0ff">
   <!ENTITY ffmpeg-size          "7.1 MB">
-  <!ENTITY ffmpeg-buildsize     "130 MB (additional 870 MB for docs and 1903 MB to run the FATE tests)">
-  <!ENTITY ffmpeg-time          "3.5 SBU (additional 0.9 SBU for docs and 5 SBU to run the FATE tests, after sample files are downloaded)">
+  <!ENTITY ffmpeg-buildsize     "130 MB (additional 866 MB for docs and 1902 MB to run the FATE tests)">
+  <!ENTITY ffmpeg-time          "3.5 SBU (additional 1.1 SBU for docs and 4.8 SBU to run the FATE tests, after sample files are downloaded)">
 ]>
 
@@ -205,29 +205,8 @@
 
     <para>
-      To properly test the installation you must have <xref linkend="rsync"/>
-      installed and follow the instructions for the
-      <ulink url="http://www.ffmpeg.org/fate.html">
-      FFmpeg Automated Testing Environment</ulink> (FATE). First, about 879 MB
-      of sample files used to run FATE are downloaded with the command:
-    </para>
-
-<screen><userinput>make fate-rsync SAMPLES=fate-suite/</userinput></screen>
-
-    <para>
-      The <filename class="directory">fate-suite</filename> directory is
-      created and the files are downloaded there. That command actually runs
-      <command>rsync -vrltLW --timeout=60 --contimeout=60 rsync://fate-suite.ffmpeg.org/fate-suite/ fate-suite/</command>
-      command, thus you may want to compress and keep this directory for
-      testing again, in another system, or when a new version of ffmpeg is
-      launched. Then, you unpack the sample files in the source directory, and
-      run, again, the <command>make</command> command above, to sync with the
-      repository. Now, the download size and time are drastically reduced.
-      Estimated values in "Package Information" do not include the download
-      SBU. Next, FATE is executed, with the commands (you obtain a number of
-      tests greater than 2000):
-    </para>
-
-<screen><userinput>make fate SAMPLES=fate-suite/ | tee ../fate.log &amp;&amp;
-grep ^TEST ../fate.log | wc -l</userinput></screen>
+      The fate-suite tests include comparisons with installed files, and should
+      not be run before the package is installed. Therefore, if you desire to
+      run them, instructions are given further below.
+    </para>
 
     <para>
@@ -246,7 +225,7 @@
     </para>
 
-<screen role="root"><userinput>install -v -m644 doc/*. pdf \
+<screen role="root"><userinput>install -v -m644 doc/*.pdf \
                  /usr/share/doc/ffmpeg-&ffmpeg-version; &amp;&amp;
-install -v -m644 doc/*.ps   \
+install -v -m644 doc/*.ps  \
                  /usr/share/doc/ffmpeg-&ffmpeg-version;</userinput></screen>
 
@@ -262,4 +241,32 @@
 find /usr/share/doc/ffmpeg-&ffmpeg-version;/api -type d -exec chmod -c 0755 "{}" ";"</userinput></screen>
 
+    <para>
+      To properly test the installation you must have <xref linkend="rsync"/>
+      installed and follow the instructions for the <ulink
+      url="http://www.ffmpeg.org/fate.html"> FFmpeg Automated Testing
+      Environment</ulink> (FATE). First, about 879 MB of sample files used to
+      run FATE are downloaded with the command:
+    </para>
+
+<screen><userinput>make fate-rsync SAMPLES=fate-suite/</userinput></screen>
+
+    <para>
+      The <filename class="directory">fate-suite</filename> directory is
+      created and the files are downloaded there. That command actually runs
+      <command>rsync -vrltLW --timeout=60 --contimeout=60
+      rsync://fate-suite.ffmpeg.org/fate-suite/ fate-suite/</command> command,
+      thus you may want to compress and keep this directory for testing again,
+      in another system, or when a new version of ffmpeg is launched. Then, you
+      unpack the sample files in the source directory, and run, again, the
+      <command>make</command> command above, to sync with the repository. Now,
+      the download size and time are drastically reduced.  Estimated values in
+      "Package Information" do not include the download SBU. Next, FATE is
+      executed, with the commands (you obtain a number of tests greater than
+      2000):
+    </para>
+
+<screen><userinput>make fate SAMPLES=fate-suite/ | tee ../fate.log &amp;&amp;
+grep ^TEST ../fate.log | wc -l</userinput></screen>
+
   </sect2>
 
@@ -285,4 +292,9 @@
 
     <para>
+      <option>--enable-libfreetype</option>: Enables
+      <application>Freetype</application> support.
+    </para>
+
+    <para>
       <parameter>--enable-gpl</parameter>: Enables the use of GPL code and
       permits support for postprocessing, swscale and many other features.
@@ -295,7 +307,6 @@
 
     <para>
-      <parameter>--enable-nonfree</parameter>: Enables the use of nonfree
-      code. Note that the resulting libraries and binaries will be
-      unredistributable.
+      <parameter>--enable-nonfree</parameter>: Enables the use of nonfree code.
+      Note that the resulting libraries and binaries will be unredistributable.
     </para>
 
@@ -304,6 +315,6 @@
 
     <para>
-      <parameter>--enable-shared</parameter>: Enables building shared libraries,
-      otherwise only static libraries are built and installed.
+      <parameter>--enable-shared</parameter>: Enables building shared
+      libraries, otherwise only static libraries are built and installed.
     </para>
 
@@ -325,6 +336,6 @@
 
     <para>
-      <parameter>--enable-libmp3lame</parameter>: Enables MP3 audio encoding via
-      <filename class="libraryfile">libmp3lame</filename>.
+      <parameter>--enable-libmp3lame</parameter>: Enables MP3 audio encoding
+      via <filename class="libraryfile">libmp3lame</filename>.
     </para>
 
@@ -345,5 +356,5 @@
       <parameter>--enable-libx264</parameter>: Enables high-quality
       H.264/MPEG-4 AVC encoding via <filename
-      class="libraryfile">libx264</filename>.
+      class="libraryfile">libx264</filename>.A
     </para>
 
@@ -353,11 +364,11 @@
 
     <para>
-      <command>gcc tools/qt-faststart.c -o tools/qt-faststart</command>:
-      This builds the <command>qt-faststart</command> program which can
-      modify QuickTime formatted movies
-      (<filename class="extension">.mov</filename> or
-      <filename class="extension">.mp4</filename>) so that the header information
-      is located at the beginning of the file instead of the end. This allows
-      the movie file to begin playing before the entire file has been downloaded.
+      <command>gcc tools/qt-faststart.c -o tools/qt-faststart</command>: This
+      builds the <command>qt-faststart</command> program which can modify
+      QuickTime formatted movies (<filename class="extension">.mov</filename>
+      or <filename class="extension">.mp4</filename>) so that the header
+      information is located at the beginning of the file instead of the end.
+      This allows the movie file to begin playing before the entire file has
+      been downloaded.
     </para>
 