Index: general/genlib/libxml/libxml.ent
===================================================================
--- general/genlib/libxml/libxml.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ general/genlib/libxml/libxml.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -5,5 +5,5 @@
 <!ENTITY libxml-version "1.8.17">
 <!ENTITY libxml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libxml/1.8/libxml-&libxml-version;.tar.bz2">
-<!ENTITY libxml-download-ftp "ftp://ftp.xmlsoft.org/old/libxml-&libxml-version;.tar.gz">
+<!ENTITY libxml-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libxml/1.8/libxml-&libxml-version;.tar.bz2">
 <!ENTITY libxml-size "973 KB">
 <!ENTITY libxml-buildsize "11 MB">
Index: general/graphlib/imlib/imlib-intro.xml
===================================================================
--- general/graphlib/imlib/imlib-intro.xml	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ general/graphlib/imlib/imlib-intro.xml	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -21,9 +21,9 @@
 <sect3><title><application>Imlib</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/>, <xref linkend="libjpeg"/>, <xref
-linkend="libtiff"/>,<xref linkend="libungif"/>, <xref linkend="libpng"/>
-and <xref linkend="GTK"/></para></sect4>
+<para>
+<xref linkend="GTK"/> and
+<xref linkend="libungif"/>
+</para></sect4>
 </sect3>
 
-
 </sect2>
Index: general/graphlib/lcms/lcms.ent
===================================================================
--- general/graphlib/lcms/lcms.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ general/graphlib/lcms/lcms.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -6,5 +6,5 @@
 <!ENTITY lcms-version "1.12">
 <!ENTITY lcms-download-http "http://www.littlecms.com/lcms-&lcms-version;.tar.gz">
-<!ENTITY lcms-download-ftp "ftp://sunsite.ccu.edu.tw/pub12/sourceforge/l/lcms/lcms-&lcms-version;.tar.gz">
+<!ENTITY lcms-download-ftp "ftp://gd.tuwien.ac.at/graphics/libs/alsolibs/lcms-&lcms-version;.tar.gz">
 <!ENTITY lcms-size "555 KB">
 <!ENTITY lcms-buildsize "17 MB">
Index: gnome/lib/intltool/intltool.ent
===================================================================
--- gnome/lib/intltool/intltool.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ gnome/lib/intltool/intltool.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -4,6 +4,6 @@
 <!ENTITY intltool-desc SYSTEM "intltool-desc.xml">
 <!ENTITY intltool-version "0.30">
-<!ENTITY intltool-download-http "http://ftp.gnome.org/pub/GNOME/sources/intltool/0.27/intltool-&intltool-version;.tar.bz2">
-<!ENTITY intltool-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/intltool/0.27/intltool-&intltool-version;.tar.bz2">
+<!ENTITY intltool-download-http "http://ftp.gnome.org/pub/GNOME/sources/intltool/&intltool-version;/intltool-&intltool-version;.tar.bz2">
+<!ENTITY intltool-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/intltool/&intltool-version;/intltool-&intltool-version;.tar.bz2">
 <!ENTITY intltool-size "112 KB">
 <!ENTITY intltool-buildsize "1010 KB">
Index: index.xml
===================================================================
--- index.xml	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ index.xml	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040311">
-<!ENTITY releasedate "March 11th, 2004">
+<!ENTITY version "CVS-20040313">
+<!ENTITY releasedate "March 13th, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ introduction/welcome/changelog.xml	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>March 13th, 2004 [igor]: Updated incorrect download
+links, submitted by Reinhard.</para></listitem>
 
 <listitem><para>March 11th, 2004 [tushar]: Updated to courier-0.45.1.
Index: multimedia/libdriv/flac/flac.ent
===================================================================
--- multimedia/libdriv/flac/flac.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/flac/flac.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -4,5 +4,5 @@
 <!ENTITY flac-desc SYSTEM "flac-desc.xml">
 <!ENTITY flac-version "1.1.0">
-<!ENTITY flac-download-http "http://flow.dl.sourceforge.net/sourceforge/flac/flac-&flac-version;.tar.gz">
+<!ENTITY flac-download-http "http://switch.dl.sourceforge.net/sourceforge/flac/flac-&flac-version;.tar.gz">
 <!ENTITY flac-download-ftp "">
 <!ENTITY flac-size "1.2 MB">
Index: multimedia/libdriv/id3lib/id3lib.ent
===================================================================
--- multimedia/libdriv/id3lib/id3lib.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/id3lib/id3lib.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -5,5 +5,5 @@
 <!ENTITY id3lib-version "3.8.3">
 <!ENTITY id3lib-download-http "http://flow.dl.sourceforge.net/sourceforge/id3lib/id3lib-&id3lib-version;.tar.gz">
-<!ENTITY id3lib-download-ftp "ftp://sunsite.ccu.edu.tw/pub13/sourceforge/i/id3lib/id3lib-&id3lib-version;.tar.gz">
+<!ENTITY id3lib-download-ftp "ftp://gd.tuwien.ac.at/opsys/linux/sourceforge/i/id3lib/id3lib-&id3lib-version;.tar.gz">
 <!ENTITY id3lib-size "928 KB">
 <!ENTITY id3lib-buildsize "39 MB">
Index: multimedia/libdriv/libao/libao.ent
===================================================================
--- multimedia/libdriv/libao/libao.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/libao/libao.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -6,5 +6,5 @@
 <!ENTITY libao-version "0.8.4">
 <!ENTITY libao-download-http "http://www.xiph.org/ao/src/libao-&libao-version;.tar.gz">
-<!ENTITY libao-download-ftp "ftp://ftp.jg555.com/pub/linux/mm/libao-&libao-version;.tar.gz">
+<!ENTITY libao-download-ftp "">
 <!ENTITY libao-size "268 KB">
 <!ENTITY libao-buildsize "2.7 MB">
Index: multimedia/libdriv/libdv/libdv.ent
===================================================================
--- multimedia/libdriv/libdv/libdv.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/libdv/libdv.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -4,5 +4,5 @@
 <!ENTITY libdv-desc SYSTEM "libdv-desc.xml">
 <!ENTITY libdv-version "0.101">
-<!ENTITY libdv-download-http "http://flow.dl.sourceforge.net/sourceforge/libdv/libdv-&libdv-version;.tar.gz">
+<!ENTITY libdv-download-http "http://switch.dl.sourceforge.net/sourceforge/libdv/libdv-&libdv-version;.tar.gz">
 <!ENTITY libdv-download-ftp "">
 <!ENTITY libdv-size "465 KB">
Index: multimedia/libdriv/libfame/libfame.ent
===================================================================
--- multimedia/libdriv/libfame/libfame.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/libfame/libfame.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -5,5 +5,5 @@
 <!ENTITY libfame-version "0.9.1">
 <!ENTITY libfame-download-http "http://heanet.dl.sourceforge.net/sourceforge/fame/libfame-&libfame-version;.tar.gz">
-<!ENTITY libfame-download-ftp "ftp://sunsite.ccu.edu.tw/pub14/sourceforge/f/fame/libfame-&libfame-version;.tar.gz">
+<!ENTITY libfame-download-ftp "ftp://gd.tuwien.ac.at/opsys/linux/sourceforge/f/fame/libfame-&libfame-version;.tar.gz">
 <!ENTITY libfame-size "290 KB">
 <!ENTITY libfame-buildsize "4.9 MB">
Index: multimedia/libdriv/libogg/libogg.ent
===================================================================
--- multimedia/libdriv/libogg/libogg.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/libogg/libogg.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -5,5 +5,5 @@
 <!ENTITY libogg-version "1.1">
 <!ENTITY libogg-download-http "http://www.vorbis.com/files/1.0.1/unix/libogg-&libogg-version;.tar.gz">
-<!ENTITY libogg-download-ftp "ftp://ftp.jg555.com/pub/linux/mm/libogg-&libogg-version;.tar.gz">
+<!ENTITY libogg-download-ftp "">
 <!ENTITY libogg-size "280 KB">
 <!ENTITY libogg-buildsize "2.3 MB">
Index: multimedia/libdriv/libvorbis/libvorbis.ent
===================================================================
--- multimedia/libdriv/libvorbis/libvorbis.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/libdriv/libvorbis/libvorbis.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -5,5 +5,5 @@
 <!ENTITY libvorbis-version "1.0.1">
 <!ENTITY libvorbis-download-http "http://www.vorbis.com/files/1.0.1/unix/libvorbis-&libvorbis-version;.tar.gz">
-<!ENTITY libvorbis-download-ftp "ftp://ftp.jg555.com/pub/linux/mm/libvorbis-&libvorbis-version;.tar.gz">
+<!ENTITY libvorbis-download-ftp "">
 <!ENTITY libvorbis-size "1.2 MB">
 <!ENTITY libvorbis-buildsize "37 MB">
Index: multimedia/videoutils/ffmpeg/ffmpeg.ent
===================================================================
--- multimedia/videoutils/ffmpeg/ffmpeg.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ multimedia/videoutils/ffmpeg/ffmpeg.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -7,5 +7,5 @@
 <!ENTITY ffmpeg-version "0.4.8">
 <!ENTITY ffmpeg-download-http "http://telia.dl.sourceforge.net/sourceforge/ffmpeg/ffmpeg-&ffmpeg-version;.tar.gz">
-<!ENTITY ffmpeg-download-ftp "ftp://sunsite.ccu.edu.tw/pub14/sourceforge/f/ffmpeg/ffmpeg-&ffmpeg-version;.tar.gz">
+<!ENTITY ffmpeg-download-ftp "ftp://gd.tuwien.ac.at/opsys/linux/sf/f/ffmpeg/ffmpeg-&ffmpeg-version;.tar.gz">
 <!ENTITY ffmpeg-size "1.3 MB">
 <!ENTITY ffmpeg-buildsize "31 MB">
Index: server/other/rsync/rsync.ent
===================================================================
--- server/other/rsync/rsync.ent	(revision a6ede5341710bc25798ed62c8d6bef1206860eac)
+++ server/other/rsync/rsync.ent	(revision 338dfadc421912f285b9dbb70f490a947bca2c1e)
@@ -7,5 +7,5 @@
 <!ENTITY rsync-version "2.6.0">
 <!ENTITY rsync-download-http "http://rsync.samba.org/ftp/rsync/rsync-&rsync-version;.tar.gz">
-<!ENTITY rsync-download-ftp "ftp://ftp2.nchu.edu.tw/UNIX/FTP/rsync/rsync-&rsync-version;.tar.gz">
+<!ENTITY rsync-download-ftp "ftp://gd.tuwien.ac.at/utils/admin-tools/rsync/rsync-&rsync-version;.tar.gz">
 <!ENTITY rsyncd-size "434 KB">
 <!ENTITY rsync-buildsize "2.6 MB">