Index: general/sysutils/gpm.xml
===================================================================
--- general/sysutils/gpm.xml	(revision 20e3223c3d1632201e6802474d50aa10c50522ef)
+++ general/sysutils/gpm.xml	(revision 343bcdbb91a484705c7a9d1bb4be8c9d34803ff6)
@@ -132,5 +132,6 @@
       <para><filename>/etc/sysconfig/mouse</filename>: 
       This file contains the name of your mouse device and the protocol which
-      it uses.  To create this file, run the following as the root user:</para>
+      it uses.  To create this file, run the following as the 
+      <systemitem class="username">root</systemitem> user:</para>
 
 <screen role="root"><userinput>cat &gt; /etc/sysconfig/mouse &lt;&lt; "EOF"
Index: general/sysutils/hdparm.xml
===================================================================
--- general/sysutils/hdparm.xml	(revision 20e3223c3d1632201e6802474d50aa10c50522ef)
+++ general/sysutils/hdparm.xml	(revision 343bcdbb91a484705c7a9d1bb4be8c9d34803ff6)
@@ -5,109 +5,122 @@
   %general-entities;
 
-<!ENTITY hdparm-download-http "http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-&hdparm-version;.tar.gz">
-<!ENTITY hdparm-download-ftp " ">
-<!ENTITY hdparm-md5sum "a4187336bc79a8538549e18540313ffd">
-<!ENTITY hdparm-size "38 KB">
-<!ENTITY hdparm-buildsize "404 KB">
-<!ENTITY hdparm-time "0.01 SBU">
+  <!ENTITY hdparm-download-http "http://www.ibiblio.org/pub/Linux/system/hardware/hdparm-&hdparm-version;.tar.gz">
+  <!ENTITY hdparm-download-ftp " ">
+  <!ENTITY hdparm-md5sum "a4187336bc79a8538549e18540313ffd">
+  <!ENTITY hdparm-size "38 KB">
+  <!ENTITY hdparm-buildsize "404 KB">
+  <!ENTITY hdparm-time "0.01 SBU">
 ]>
 
 <sect1 id="hdparm" xreflabel="hdparm-&hdparm-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="hdparm.html"?>
-<title>hdparm-&hdparm-version;</title>
-<indexterm zone="hdparm">
-<primary sortas="a-Hdparm">Hdparm</primary>
-</indexterm>
+  <?dbhtml filename="hdparm.html"?>
 
-<sect2>
-<title>Introduction to <application>hdparm</application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>The <application>hdparm</application> package contains a utility that is 
-useful for controlling <acronym>ATA</acronym>/<acronym>IDE</acronym> 
-controllers and hard drives both to increase performance and sometimes to 
-increase stability.</para>
+  <title>Hdparm-&hdparm-version;</title>
 
-<warning><para>As well as being useful, incorrect usage of
-<application>hdparm</application> can destroy your information and in
-rare cases, drives. Use with caution and make sure you know what you are
-doing. If in doubt, we recommend you leave the default kernel parameters
-alone.</para></warning>
+  <indexterm zone="hdparm">
+    <primary sortas="a-Hdparm">Hdparm</primary>
+  </indexterm>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&hdparm-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&hdparm-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: 
-&hdparm-md5sum;</para></listitem>
-<listitem><para>Download size: 
-&hdparm-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&hdparm-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&hdparm-time;</para></listitem></itemizedlist>
-</sect3>
+  <sect2 role="package">
+    <title>Introduction to Hdparm</title>
 
-</sect2>
+    <para>The <application>hdparm</application> package contains a utility 
+    that is useful for controlling ATA/IDE controllers and hard drives both to 
+    increase performance and sometimes to increase stability.</para>
 
-<sect2>
-<title>Installation of <application>hdparm</application></title>
+    <warning>
+      <para>As well as being useful, incorrect usage of
+      <application>hdparm</application> can destroy your information and in
+      rare cases, drives. Use with caution and make sure you know what you are
+      doing. If in doubt, we recommend you leave the default kernel parameters
+      alone.</para>
+    </warning>
 
-<para>Build <application>hdparm</application> by running the following 
-command:</para>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&hdparm-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&hdparm-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &hdparm-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &hdparm-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &hdparm-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &hdparm-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<screen><userinput><command>make</command></userinput></screen>
+  </sect2>
 
-<para>As the root user, install <application>hdparm</application>:</para>
+  <sect2 role="installation">
+    <title>Installation of Hdparm</title>
 
-<screen><userinput role='root'><command>make install</command></userinput></screen>
+    <para>Build <application>hdparm</application> by running the following 
+    command:</para>
 
-<para>Note that by default, <command>hdparm</command> is installed in
-<filename class="directory">/sbin</filename> as some systems may require it
-during the boot process before <filename class="directory">/usr</filename>
-is mounted.  If you wish to install <command>hdparm</command> under the
-<filename class="directory">/usr</filename> hierarchy, then replace the above
-command with the following:</para>
+<screen><userinput>make</userinput></screen>
 
-<screen><userinput role='root'><command>make binprefix=/usr install</command></userinput></screen>
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-</sect2>
+<screen role="root"><userinput>make install</userinput></screen>
 
-<sect2>
-<title>Contents</title>
+    <para>Note that by default, <command>hdparm</command> is installed in
+    <filename class="directory">/sbin</filename> as some systems may require it
+    during the boot process before <filename class="directory">/usr</filename>
+    is mounted.  If you wish to install <command>hdparm</command> under the
+    <filename class="directory">/usr</filename> hierarchy, then replace the above
+    command with the following:</para>
 
-<segmentedlist>
-<segtitle>Installed Program</segtitle>
-<segtitle>Installed Libraries</segtitle>
-<segtitle>Installed Directories</segtitle>
+<screen role="root"><userinput>make binprefix=/usr instal</userinput></screen>
 
-<seglistitem>
-<seg>hdparm</seg>
-<seg>None</seg>
-<seg>None</seg>
-</seglistitem>
-</segmentedlist>
+  </sect2>
 
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<varlistentry id="hdparm-prog">
-<term><command>hdparm</command></term>
-<listitem><para>provides a command-line interface to various hard disk ioctls 
-supported by the stock Linux <acronym>ATA</acronym>/<acronym>IDE</acronym> 
-device driver subsystem.</para>
-<indexterm zone="hdparm hdparm-prog">
-<primary sortas="b-hdparm">hdparm</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-</sect2>
+      <seglistitem>
+        <seg>hdparm</seg>
+        <seg>None</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="hdparm-prog">
+        <term><command>hdparm</command></term>
+        <listitem>
+          <para>provides a command-line interface to various hard disk ioctls 
+          supported by the stock Linux ATA/IDE device driver subsystem.</para>
+          <indexterm zone="hdparm hdparm-prog">
+            <primary sortas="b-hdparm">hdparm</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>