Index: general/genlib/libgusb.xml
===================================================================
--- general/genlib/libgusb.xml	(revision ee85ab4f8a4bdba2e588197c0ae4d3030a8e51df)
+++ general/genlib/libgusb.xml	(revision 345c66e3d66719fc192e4a18b7338fbb9cd564b9)
@@ -7,7 +7,7 @@
   <!ENTITY libgusb-download-http "https://people.freedesktop.org/~hughsient/releases/libgusb-&libgusb-version;.tar.xz">
   <!ENTITY libgusb-download-ftp  " ">
-  <!ENTITY libgusb-md5sum        "fa2b41b828c749f9190edf888948a77b">
-  <!ENTITY libgusb-size          "288 KB">
-  <!ENTITY libgusb-buildsize     "4.5 MB (with tests)">
+  <!ENTITY libgusb-md5sum        "3c178f1171f808785d6af971b1fdc50c">
+  <!ENTITY libgusb-size          "40 KB">
+  <!ENTITY libgusb-buildsize     "2.9 MB (with tests)">
   <!ENTITY libgusb-time          "less than 0.1 SBU (with tests)">
 ]>
@@ -106,9 +106,12 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
+    <screen><userinput>mkdir build &amp;&amp;
+ch    build &amp;&amp;
+
+meson --prefix=/usr &amp;&amp;
+ninja</userinput></screen>
 
     <para>
-      To test the results, issue: <command>make check</command>.
+      To test the results, issue: <command>ninja test</command>.
     </para>
 
@@ -117,7 +120,7 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
   </sect2>
-
+<!--
   <sect2 role="commands">
     <title>Command Explanations</title>
@@ -130,5 +133,5 @@
 
   </sect2>
-
+-->
   <sect2 role="content">
     <title>Contents</title>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ee85ab4f8a4bdba2e588197c0ae4d3030a8e51df)
+++ introduction/welcome/changelog.xml	(revision 345c66e3d66719fc192e4a18b7338fbb9cd564b9)
@@ -45,4 +45,8 @@
       <para>February 19th, 2018</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libgusb-0.3.0. Fixes
+          <ulink url="&blfs-ticket-root;10390">#10390</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Update ImageMagick to 7.0.7-23 and ImageMagick6
Index: multimedia/libdriv/id3lib.xml
===================================================================
--- multimedia/libdriv/id3lib.xml	(revision ee85ab4f8a4bdba2e588197c0ae4d3030a8e51df)
+++ multimedia/libdriv/id3lib.xml	(revision 345c66e3d66719fc192e4a18b7338fbb9cd564b9)
@@ -21,15 +21,15 @@
   </sect1info>
 
-  <title>Id3lib-&id3lib-version;</title>
+  <title>id3lib-&id3lib-version;</title>
 
   <indexterm zone="id3lib">
-    <primary sortas="a-Id3lib">Id3lib</primary>
+    <primary sortas="a-id3lib">id3lib</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to Id3lib</title>
+    <title>Introduction to id3lib</title>
 
     <para><application>id3lib</application> is a library for reading,
-    writing and manipulating ID3v1 and ID3v2 multimedia data containers.</para>
+    writing and manipulating id3v1 and id3v2 multimedia data containers.</para>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -138,5 +138,5 @@
         <term><command>id3convert</command></term>
         <listitem>
-          <para>converts between ID3v1/v2 tagging formats.</para>
+          <para>converts between id3v1/v2 tagging formats.</para>
           <indexterm zone="id3lib id3convert">
             <primary sortas="b-id3convert">id3convert</primary>
@@ -148,5 +148,5 @@
         <term><command>id3cp</command></term>
         <listitem>
-          <para>extracts ID3v1/v2 tags from digital audio files.</para>
+          <para>extracts id3v1/v2 tags from digital audio files.</para>
           <indexterm zone="id3lib id3cp">
             <primary sortas="b-id3cp">id3cp</primary>
@@ -158,5 +158,5 @@
         <term><command>id3info</command></term>
         <listitem>
-          <para>prints ID3v1/v2 tag contents.</para>
+          <para>prints id3v1/v2 tag contents.</para>
           <indexterm zone="id3lib id3info">
             <primary sortas="b-id3info">id3info</primary>
@@ -168,5 +168,5 @@
         <term><command>id3tag</command></term>
         <listitem>
-          <para>is a utility for editing ID3v1/v2 tags.</para>
+          <para>is a utility for editing id3v1/v2 tags.</para>
           <indexterm zone="id3lib id3tag">
             <primary sortas="b-id3tag">id3tag</primary>
@@ -178,5 +178,5 @@
         <term><filename class='libraryfile'>libid3.so</filename></term>
         <listitem>
-          <para>provides functions for the ID3v1/v2 tag editing
+          <para>provides functions for the id3v1/v2 tag editing
           programs as well as other external programs and libraries.</para>
           <indexterm zone="id3lib libid3">
Index: networking/netutils/bind-utils.xml
===================================================================
--- networking/netutils/bind-utils.xml	(revision ee85ab4f8a4bdba2e588197c0ae4d3030a8e51df)
+++ networking/netutils/bind-utils.xml	(revision 345c66e3d66719fc192e4a18b7338fbb9cd564b9)
@@ -83,10 +83,10 @@
     running the following commands:</para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make -C lib/dns &amp;&amp;
-make -C lib/isc &amp;&amp;
-make -C lib/bind9 &amp;&amp;
+ <screen><userinput>./configure --prefix=/usr &amp;&amp;
+make -C lib/dns    &amp;&amp;
+make -C lib/isc    &amp;&amp;
+make -C lib/bind9  &amp;&amp;
 make -C lib/isccfg &amp;&amp;
-make -C lib/irs &amp;&amp;
+make -C lib/irs    &amp;&amp;
 make -C bin/dig</userinput></screen>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ee85ab4f8a4bdba2e588197c0ae4d3030a8e51df)
+++ packages.ent	(revision 345c66e3d66719fc192e4a18b7338fbb9cd564b9)
@@ -142,5 +142,5 @@
 <!ENTITY libgsf-version               "1.14.42">
 <!ENTITY libgudev-version             "232">
-<!ENTITY libgusb-version              "0.2.11">
+<!ENTITY libgusb-version              "0.3.0">
 <!ENTITY libical-version              "3.0.1">
 <!ENTITY libidn-version               "1.33">