Index: general.ent
===================================================================
--- general.ent	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ general.ent	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "12">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 11th &year;">
+<!ENTITY releasedate  "February 12th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ gnome.ent	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -19,5 +19,5 @@
 <!ENTITY notification-daemon-version  "3.18.1">
 <!ENTITY totem-pl-parser-version      "3.10.6">
-<!ENTITY vte-version                  "0.42.3">
+<!ENTITY vte-version                  "0.42.4">
 
 <!-- Runtime -->
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ gnome/platform/vte.xml	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -7,7 +7,7 @@
   <!ENTITY vte-download-http "&gnome-download-http;/vte/0.42/vte-&vte-version;.tar.xz">
   <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.42/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-md5sum        "b58927e7023dd0d3ca15685c177fee91">
+  <!ENTITY vte-md5sum        "92f5f49f87a9157e298bba5be8ecf7a5">
   <!ENTITY vte-size          "908 KB">
-  <!ENTITY vte-buildsize     "20 MB (with tests)">
+  <!ENTITY vte-buildsize     "21 MB (with tests)">
   <!ENTITY vte-time          "0.4 SBU (with tests)">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ introduction/welcome/changelog.xml	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -44,4 +44,30 @@
 
 -->
+
+    <listitem>
+      <para>February 12th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to cups-filters-1.8.2. Fixes
+          <ulink url="&blfs-ticket-root;7455">#7455</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to vte-0.42.4. Fixes
+          <ulink url="&blfs-ticket-root;7454">#7454</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to postgresql-9.5.1. Fixes
+          <ulink url="&blfs-ticket-root;7453">#7453</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to nano-2.5.2. Fixes
+          <ulink url="&blfs-ticket-root;7452">#7452</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to firefox-44.0.2. Fixes
+          <ulink url="&blfs-ticket-root;7451">#7451</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ packages.ent	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -61,5 +61,5 @@
 <!ENTITY emacs-version                "24.5">
 <!ENTITY joe-version                  "4.1">
-<!ENTITY nano-version                 "2.5.1">
+<!ENTITY nano-version                 "2.5.2">
 <!ENTITY vim-version                  "7.4">
 
@@ -437,5 +437,5 @@
 <!ENTITY lmdb-version                 "0.9.17">
 <!ENTITY mariadb-version              "10.1.11">
-<!ENTITY postgresql-version           "9.5.0">
+<!ENTITY postgresql-version           "9.5.1">
 <!ENTITY sqlite-version               "3.10.2">
 
@@ -659,5 +659,5 @@
 <!-- Chapter 43 -->
 <!ENTITY seamonkey-version            "2.39">
-<!ENTITY firefox-version              "44.0.1">
+<!ENTITY firefox-version              "44.0.2">
 
 <!-- Chapter 44 -->
@@ -783,5 +783,5 @@
 <!-- Chapter 50 -->
 <!ENTITY cups-version                 "2.1.3">
-<!ENTITY cups-filters-version         "1.8.1">
+<!ENTITY cups-filters-version         "1.8.2">
 <!ENTITY gs-version                   "9.18">
 <!ENTITY gutenprint-version           "5.2.11">
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ postlfs/editors/nano.xml	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -7,5 +7,5 @@
   <!ENTITY nano-download-http "http://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
   <!ENTITY nano-download-ftp  "ftp://ftp.gnu.org/gnu/nano/nano-&nano-version;.tar.gz">
-  <!ENTITY nano-md5sum        "f25c7da9813ae5f1df7e5dd1072de4ce">
+  <!ENTITY nano-md5sum        "036830de22b8a76a0e6f84c0cb36ff12">
   <!ENTITY nano-size          "1.9 MB">
   <!ENTITY nano-buildsize     "13 MB">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ pst/printing/cups-filters.xml	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -8,5 +8,5 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "4c4a10b7cbc20f6f6ee5d05d7561399d">
+  <!ENTITY cups-filters-md5sum        "a32a83aef1808e4ccabad96a593a9f89">
   <!ENTITY cups-filters-size          "1.4 MB">
   <!ENTITY cups-filters-buildsize     "50 MB (with tests)">
Index: server/databases/postgresql.xml
===================================================================
--- server/databases/postgresql.xml	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ server/databases/postgresql.xml	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -7,8 +7,8 @@
   <!ENTITY postgresql-download-http "http://ftp.postgresql.org/pub/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2">
   <!ENTITY postgresql-download-ftp  "ftp://ftp.postgresql.org/pub/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2">
-  <!ENTITY postgresql-md5sum        "e58fffe9359e311ead94490a06b7147c">
+  <!ENTITY postgresql-md5sum        "11e037afaa4bd0c90bb3c3d955e2b401">
   <!ENTITY postgresql-size          "18 MB">
-  <!ENTITY postgresql-buildsize     "233 MB (with tests)">
-  <!ENTITY postgresql-time          "1.6 SBU (with tests)">
+  <!ENTITY postgresql-buildsize     "234 MB (with tests)">
+  <!ENTITY postgresql-time          "1.7 SBU (with tests)">
 ]>
 
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 9bcef17cc2573d8b99a24db64da6a89fd6958e59)
+++ xsoft/graphweb/firefox.xml	(revision 0347c537e303d3ba0066b7ef95cbe192c5433043)
@@ -9,7 +9,7 @@
   <!ENTITY firefox-download-ftp "&mozilla-ftp;/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.bz2"> -->
   <!ENTITY firefox-download-ftp " ">
-  <!ENTITY firefox-md5sum        "66d4810df0b5a6095e2276256bf17675">
+  <!ENTITY firefox-md5sum        "9596accec2ce7031eaab5c33373a1af4">
   <!ENTITY firefox-size          "174 MB">
-  <!ENTITY firefox-buildsize     "4.4 GB (79 MB installed)">
+  <!ENTITY firefox-buildsize     "4.4 GB (80 MB installed)">
   <!ENTITY firefox-time          "10 SBU (with parallelism=4)">
 ]>