Index: general.ent
===================================================================
--- general.ent	(revision 4d407682c54e8dacfd96867eceb0cfbed3dc1036)
+++ general.ent	(revision 352f326bb510b90e69f4e8e890eaf5400e921e56)
@@ -247,5 +247,5 @@
 <!ENTITY libjpeg-version              "8c">
 <!ENTITY libpng-version               "1.5.9">
-<!ENTITY libtiff-version              "4.0.0">
+<!ENTITY libtiff-version              "4.0.1">
 <!ENTITY giflib-version               "4.1.6">
 <!ENTITY lcms-version                 "1.19">
Index: general/graphlib/libtiff.xml
===================================================================
--- general/graphlib/libtiff.xml	(revision 4d407682c54e8dacfd96867eceb0cfbed3dc1036)
+++ general/graphlib/libtiff.xml	(revision 352f326bb510b90e69f4e8e890eaf5400e921e56)
@@ -5,7 +5,9 @@
   %general-entities;
 
-  <!ENTITY libtiff-download-http "http://download.osgeo.org/libtiff/tiff-&libtiff-version;.tar.gz">
-  <!ENTITY libtiff-download-ftp  "ftp://ftp.remotesensing.org/libtiff/tiff-&libtiff-version;.tar.gz">
-  <!ENTITY libtiff-md5sum        "456ad12e7c492b275a0d047f2ba89904">
+  <!ENTITY libtiff-download-http
+  "http://download.osgeo.org/libtiff/tiff-&libtiff-version;.tar.gz">
+  <!ENTITY libtiff-download-ftp
+  "ftp://ftp.remotesensing.org/libtiff/tiff-&libtiff-version;.tar.gz">
+  <!ENTITY libtiff-md5sum        "fae149cc9da35c598d8be897826dfc63">
   <!ENTITY libtiff-size          "1.9 MB">
   <!ENTITY libtiff-buildsize     "31 MB">
@@ -58,12 +60,4 @@
       </listitem>
     </itemizedlist>
-
-    <!-- <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Required patch: <ulink
-        url="&patch-root;/tiff-&libtiff-version;-fixes-2.patch"/></para>
-      </listitem>
-    </itemizedlist> -->
 
     <bridgehead renderas="sect3">LibTIFF Dependencies</bridgehead>
@@ -75,12 +69,6 @@
     <ulink url="http://www.cl.cam.ac.uk/~mgk25/jbigkit/">JBIG-KIT</ulink></para>
 
-    <!-- <para>Note that if you installed the optional MesaGLUT package with the
-    <xref linkend="mesalib"/> package during an <application>Xorg7</application>
-    installation, a GLUT library is already installed and you don't need
-    <application>freeglut</application>.</para> -->
-
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/libtiff"/></para>
-
   </sect2>
 
@@ -91,13 +79,13 @@
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
     <para>To test the results, issue: <command>make check</command>.</para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
   </sect2>
 
@@ -107,5 +95,4 @@
     <para><option>--disable-static</option>: This switch prevents the
     static library from being built.</para>
-
   </sect2>
 
@@ -121,7 +108,7 @@
         <seg>bmp2tiff, fax2ps, fax2tiff, gif2tiff, pal2rgb, ppm2tiff, ras2tiff,
         raw2tiff, rgb2ycbcr, thumbnail, tiff2bw, tiff2pdf, tiff2ps, tiff2rgba,
-        tiffcmp, tiffcp, tiffdither, tiffdump, tiffgt, tiffinfo, tiffmedian, tiffset,
-        and tiffsplit</seg>
-        <seg>libtiff.{so,a} and libtiffxx.{so,a}</seg>
+        tiffcmp, tiffcp, tiffcrop, tiffdither, tiffdump, tiffinfo, tiffmedian,
+        tiffset, and tiffsplit</seg>
+        <seg>libtiff.so and libtiffxx.so</seg>
         <seg>/usr/share/doc/tiff-&libtiff-version;</seg>
       </seglistitem>
@@ -177,5 +164,6 @@
         <term><command>pal2rgb</command></term>
         <listitem>
-          <para>converts a palette color TIFF image to a full color image.</para>
+          <para>converts a palette color TIFF image to a full color
+          image.</para>
           <indexterm zone="libtiff pal2rgb">
             <primary sortas="b-pal2rgb">pal2rgb</primary>
@@ -295,4 +283,15 @@
       </varlistentry>
 
+      <varlistentry id="tiffcrop">
+        <term><command>tiffcrop</command></term>
+        <listitem>
+          <para> selects, copies, crops, converts, extracts, and/or processes
+          one or more TIFF files. .</para>
+          <indexterm zone="libtiff tiffcrop">
+            <primary sortas="b-tiffcrop">tiffcrop</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="tiffdither">
         <term><command>tiffdither</command></term>
@@ -315,15 +314,4 @@
       </varlistentry>
 
-      <varlistentry id="tiffgt">
-        <term><command>tiffgt</command></term>
-        <listitem>
-          <para>displays an image stored in a TIFF file in
-          an <application>X</application> window.</para>
-          <indexterm zone="libtiff tiffgt">
-            <primary sortas="b-tiffgt">tiffgt</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="tiffinfo">
         <term><command>tiffinfo</command></term>
@@ -367,5 +355,5 @@
 
       <varlistentry id="libtiff-lib">
-        <term><filename class='libraryfile'>libtiff.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libtiff.so</filename></term>
         <listitem>
           <para>contains the API functions used by the
@@ -373,5 +361,5 @@
           programs to read and write TIFF files.</para>
           <indexterm zone="libtiff libtiff-lib">
-            <primary sortas="c-libtiff">libtiff.{so,a}</primary>
+            <primary sortas="c-libtiff">libtiff.so</primary>
           </indexterm>
         </listitem>
@@ -379,17 +367,14 @@
 
       <varlistentry id="libtiffxx">
-        <term><filename class='libraryfile'>libtiffxx.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libtiffxx.so</filename></term>
         <listitem>
           <para>contains the C++ API functions used
           by programs to read and write TIFF files.</para>
           <indexterm zone="libtiff libtiffxx">
-            <primary sortas="c-libtiffxx">libtiffxx.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
+            <primary sortas="c-libtiffxx">libtiffxx.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
     </variablelist>
-
   </sect2>
-
 </sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4d407682c54e8dacfd96867eceb0cfbed3dc1036)
+++ introduction/welcome/changelog.xml	(revision 352f326bb510b90e69f4e8e890eaf5400e921e56)
@@ -57,4 +57,7 @@
           <para>[abenton] - libpng 1.5.9.</para>
         </listitem>
+        <listitem>
+          <para>[abenton] - libtiff 4.0.1.</para>
+        </listitem>
       </itemizedlist>
     </listitem>