Index: gnome/add/java-access-bridge.xml
===================================================================
--- gnome/add/java-access-bridge.xml	(revision b7e6d3f57593b203a4c30ad844a7cf5731588a5c)
+++ gnome/add/java-access-bridge.xml	(revision 356b95497f890782b081ae1050e16e8f60594523)
@@ -13,62 +13,69 @@
 ]>
 
-<sect1 id="java-access-bridge" 
+<sect1 id="java-access-bridge"
 xreflabel="Java Access Bridge-&java-access-bridge-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="java-access-bridge.html"?>
-<title><application>Java Access 
-Bridge</application>-&java-access-bridge-version;</title>
-<indexterm zone="java-access-bridge">
-<primary sortas="a-Java-Access-Bridge">Java Access Bridge</primary>
-</indexterm>
+  <?dbhtml filename="java-access-bridge.html"?>
 
-<sect2>
-<title>Introduction to <application>Java Access Bridge</application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>The <application>Java Access Bridge</application> package contains Java 
-components which connect the built-in accessibility support in Java Swing 
-applications to the <application><acronym>GNOME</acronym></application> 
-Accessibility framework, specifically the Assistive Technology Service 
-Provider Interface (<acronym>AT</acronym>-<acronym>SPI</acronym>).</para>
+  <title>Java Access Bridge-&java-access-bridge-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing="compact">
-<listitem><para>Download (HTTP): 
-<ulink url="&java-access-bridge-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&java-access-bridge-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: 
-&java-access-bridge-md5sum;</para></listitem>
-<listitem><para>Download size: 
-&java-access-bridge-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&java-access-bridge-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&java-access-bridge-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="java-access-bridge">
+    <primary sortas="a-Java-Access-Bridge">Java Access Bridge</primary>
+  </indexterm>
 
-<sect3><title><application>Java Access Bridge</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="at-spi"/> and <xref linkend="jdk"/></para>
-</sect4>
-</sect3>
+  <sect2>
+    <title>Introduction to Java Access Bridge</title>
 
-</sect2>
+    <para>The <application>Java Access Bridge</application> package contains
+    Java components which connect the built-in accessibility support in Java
+    Swing applications to the <application>GNOME</application>
+    Accessibility framework, specifically the Assistive Technology Service
+    Provider Interface (AT-SPI).</para>
 
-<sect2>
-<title>Installation of <application>Java Access Bridge</application></title>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&java-access-bridge-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&java-access-bridge-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &java-access-bridge-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &java-access-bridge-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &java-access-bridge-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &java-access-bridge-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<para>Install <application>Java Access Bridge</application> by running the 
-following commands:</para>
+    <bridgehead renderas="sect3">Java Access Bridge Dependencies</bridgehead>
 
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
-make</command></userinput></screen>
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="at-spi"/> and <xref linkend="jdk"/></para>
 
-<para>Now, as the root user:</para>
+  </sect2>
 
-<screen><userinput role='root'><command>make install &amp;&amp;
+  <sect2 role="installation">
+    <title>Installation of Java Access Bridge</title>
+
+    <para>Install <application>Java Access Bridge</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
+make</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &amp;&amp;
 cat `pkg-config --variable=prefix \
     ORBit-2.0`/share/jar/accessibility.properties \
@@ -77,81 +84,90 @@
 ln -v -sf `pkg-config --variable=prefix \
     ORBit-2.0`/share/jar/gnome-java-bridge.jar \
-    $JAVA_HOME/jre/lib/ext</command></userinput></screen>
+    $JAVA_HOME/jre/lib/ext</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Command explanations</title>
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-<para><command>cat `pkg-config ...</command>: This command appends to (or 
-creates) the Java runtime <filename>accessibility.properties</filename> file 
-required for <application>Java Access Bridge</application>.</para>
+    <para><command>cat `pkg-config ...</command>: This command appends to (or
+    creates) the Java runtime <filename>accessibility.properties</filename>
+    file required for <application>Java Access Bridge</application>.</para>
 
-<para><command>ln -sf `pkg-config ...</command>: This command creates a link 
-from the access bridge <filename>jar</filename> file to the Java runtime 
-library extensions directory.</para>
+    <para><command>ln -v -sf `pkg-config ...</command>: This command creates
+    a link from the access bridge <filename>jar</filename> file to the Java
+    runtime library extensions directory.</para>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Configuring <application>Java Access Bridge</application></title>
+  <sect2 role="configuration">
+    <title>Configuring Java Access Bridge</title>
 
-<sect3 id="java-access-bridge-config"><title>Config files</title>
-<para><filename>~/.orbitrc</filename></para>
-<indexterm zone="java-access-bridge java-access-bridge-config">
-<primary sortas="e-AA.orbitrc">~/.orbitrc</primary></indexterm>
-</sect3>
+    <sect3 id="java-access-bridge-config">
+      <title>Config Files</title>
 
-<sect3><title>Configuration Information</title>
-<para>Before running a Java program with the 
-<application>Java Access Bridge</application>, you should ensure that your 
-<application><acronym>GNOME</acronym></application> 2 installation enables 
-<acronym>CORBA</acronym> traffic over <acronym>IP</acronym> from the 
-<application><acronym>ORB</acronym>it2</application> <acronym>ORB</acronym>. Do 
-this by adding the following line to <filename>~/.orbitrc</filename> using the 
-following command:</para>
+      <para><filename>~/.orbitrc</filename></para>
 
-<screen><userinput><command>cat &gt;&gt; ~/.orbitrc &lt;&lt; "EOF"</command>
-ORBIIOPIPv4=1
+      <indexterm zone="java-access-bridge java-access-bridge-config">
+        <primary sortas="e-AA.orbitrc">~/.orbitrc</primary>
+      </indexterm>
 
-<command>EOF</command></userinput></screen>
-</sect3>
+    </sect3>
 
-</sect2>
+    <sect3>
+      <title>Configuration Information</title>
 
-<sect2>
-<title>Contents</title>
+      <para>Before running a Java program with the <application>Java Access
+      Bridge</application>, you should ensure that your
+      <application>GNOME</application> 2 installation enables CORBA traffic
+      over IP from the <application>ORBit2</application> ORB. Do
+      this by adding the following line to <filename>~/.orbitrc</filename>
+      using the following command:</para>
 
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Libraries</segtitle>
-<segtitle>Installed Directories</segtitle>
+<screen><userinput>cat &gt;&gt; ~/.orbitrc &lt;&lt; "EOF"
+<literal>ORBIIOPIPv4=1</literal>
 
-<seglistitem>
-<seg>None</seg>
-<seg>gnome-java-bridge.jar and JNav.jar</seg>
-<seg>$GNOME_PREFIX/share/jar</seg>
-</seglistitem>
-</segmentedlist>
+EOF</userinput></screen>
 
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+    </sect3>
 
-<varlistentry id="gnome-java-bridge">
-<term><filename class='libraryfile'>gnome-java-bridge.jar</filename></term>
-<listitem><para>is a <application>Java</application> runtime environment 
-extension that connects the built-in accessibility support in 
-<application>Java Swing</application> applications to the 
-<application><acronym>GNOME</acronym></application> Accessibility 
-framework.</para>
-<indexterm zone="java-access-bridge gnome-java-bridge">
-<primary sortas="c-gnome-java-bridge">gnome-java-bridge.jar</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
+  </sect2>
 
-</sect2>
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>gnome-java-bridge.jar and JNav.jar</seg>
+        <seg>$GNOME_PREFIX/share/jar</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gnome-java-bridge">
+        <term><filename class='libraryfile'>gnome-java-bridge.jar</filename></term>
+        <listitem>
+          <para>is a <application>Java</application> runtime environment
+          extension that connects the built-in accessibility support in
+          <application>Java Swing</application> applications to the
+          <application>GNOME</application> Accessibility framework.</para>
+          <indexterm zone="java-access-bridge gnome-java-bridge">
+            <primary sortas="c-gnome-java-bridge">gnome-java-bridge.jar</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>
-