Index: general.ent
===================================================================
--- general.ent	(revision 37ff92a44e99d727c008a8da5c3da995e753a04a)
+++ general.ent	(revision 358cbee6f2ee30ad8ebdd57ddf599f41a8b60980)
@@ -491,5 +491,5 @@
 <!ENTITY freeglut-version             "2.4.0">
 <!ENTITY goffice-version              "0.6.1">
-<!ENTITY mesalib-version              "7.5">
+<!ENTITY mesalib-version              "7.6">
 <!-- The xulrunner version also appears in the firefox mozconfig as a literal -->
 <!ENTITY xulrunner-version            "1.9.1.2">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 37ff92a44e99d727c008a8da5c3da995e753a04a)
+++ introduction/welcome/changelog.xml	(revision 358cbee6f2ee30ad8ebdd57ddf599f41a8b60980)
@@ -45,4 +45,7 @@
       <itemizedlist>
         <listitem>
+          <para>[dj] - Updated to Mesa-7.6.</para>
+        </listitem>
+        <listitem>
           <para>[dj] - Updated to xcb-util-0.3.6.</para>
         </listitem>
Index: x/lib/mesalib.xml
===================================================================
--- x/lib/mesalib.xml	(revision 37ff92a44e99d727c008a8da5c3da995e753a04a)
+++ x/lib/mesalib.xml	(revision 358cbee6f2ee30ad8ebdd57ddf599f41a8b60980)
@@ -5,20 +5,15 @@
   %general-entities;
 
-  <!ENTITY mesalib-download-http "&sourceforge-repo;/mesa3d/MesaLib-&mesalib-version;.tar.bz2">
-  <!ENTITY mesalib-download-ftp  " ">
-  <!ENTITY mesalib-md5sum        "459f332551f6ebb86f384d21dd15e1f0">
-  <!ENTITY mesalib-size          "4.2 MB">
-  <!ENTITY mesalib-buildsize     "201 MB">
-  <!ENTITY mesalib-time          "4.8 SBU">
-
-  <!ENTITY mesademos-download-http "&sourceforge-repo;/mesa3d/MesaDemos-&mesalib-version;.tar.bz2">
-  <!ENTITY mesademos-md5sum        "398ee8801814a00e47f6c2314e3dfddc">
-  <!ENTITY mesademos-size          "1.4 MB">
-
-<!--
-  <!ENTITY mesaglut-download-http  "&sourceforge-repo;/mesa3d/MesaGLUT-&mesalib-version;.tar.bz2">
-  <!ENTITY mesaglut-md5sum         "f67daf93e12c4a459703bbf3e4004e31">
-  <!ENTITY mesaglut-size           "328 KB">
--->
+  <!ENTITY mesalib-download-http " ">
+  <!ENTITY mesalib-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/&mesalib-version;/MesaLib-&mesalib-version;.tar.bz2">
+  <!ENTITY mesalib-md5sum        "8c75f90cd0303cfac9e4b6d54f6759ca">
+  <!ENTITY mesalib-size          "4.7 MB">
+  <!ENTITY mesalib-buildsize     "222 MB">
+  <!ENTITY mesalib-time          "3.0 SBU">
+
+  <!ENTITY mesademos-download-ftp "ftp://ftp.freedesktop.org/pub/mesa/&mesalib-version;/MesaDemos-&mesalib-version;.tar.bz2">
+  <!ENTITY mesademos-md5sum        "0ede7adf217951acd90dbe4551210c07">
+  <!ENTITY mesademos-size          "1.5 MB">
+
 ]>
 
@@ -74,5 +69,5 @@
       verifying OpenGL operation</title>
       <listitem>
-        <para>Download (HTTP): <ulink url="&mesademos-download-http;"/></para>
+        <para>Download (HTTP): <ulink url="&mesademos-download-ftp;"/></para>
       </listitem>
       <listitem>
@@ -83,18 +78,6 @@
       </listitem>
     </itemizedlist>
+
 <!--
-    <itemizedlist spacing="compact">
-      <title>Optional GLUT library (see also <xref linkend="freeglut"/>)</title>
-      <listitem>
-        <para>Download (HTTP): <ulink url="&mesaglut-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &mesaglut-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &mesaglut-size;</para>
-      </listitem>
-    </itemizedlist>
--->
     <note><para>Mesa's GLUT library is not released under a free software
     license, and is no longer tested by the BLFS developers. Permission
@@ -102,4 +85,5 @@
     distribution.  <xref linkend="freeglut"/> is recommended over Mesa's GLUT
     library.</para></note>
+-->
 
     <bridgehead renderas="sect3">MesaLib Dependencies</bridgehead>
@@ -123,6 +107,6 @@
     <title>Installation of MesaLib</title>
 
-    <para>Extract all three tarballs from the same top-level directory as they
-    all will extract to the
+    <para>Extract both tarballs from the same top-level directory as both
+    will extract to the
     <filename class="directory">Mesa-&mesalib-version;</filename>
     directory.</para>
@@ -182,6 +166,5 @@
       <seglistitem>
         <seg>glxgears and glxinfo</seg>
-        <seg>libGL.so, libGLU.so, libGLw.so, *_dri.so and
-        optionally, libglut.so</seg>
+        <seg>libEGL.so, libGL.so, libGLU.so, libGLw.so, and *_dri.so</seg>
         <seg><envar>$XORG_PREFIX</envar>/lib/modules/dri and
         <envar>$XORG_PREFIX</envar>/share/doc/MesaLib-&mesalib-version;</seg>
@@ -256,15 +239,4 @@
         </listitem>
       </varlistentry>
-<!--
-      <varlistentry id="libglut-mesa">
-        <term><filename class='libraryfile'>libglut.so</filename></term>
-        <listitem>
-          <para>is the OpenGL Utility Toolkit (GLUT) library.</para>
-          <indexterm zone="mesalib libglut-mesa">
-            <primary sortas="c-libglut">libglut.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
--->
     </variablelist>
 