Index: archive/gcab.xml
===================================================================
--- archive/gcab.xml	(revision 363f6dc0c2cf1cc4f9060b8da84ebd481695192b)
+++ archive/gcab.xml	(revision 363f6dc0c2cf1cc4f9060b8da84ebd481695192b)
@@ -0,0 +1,188 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gcab-download-http
+           "&gnome-download-http;/gcab/0.7/gcab-&gcab-version;.tar.xz">
+  <!ENTITY gcab-download-ftp
+           "&gnome-download-ftp;/gcab/0.7/gcab-&gcab-version;.tar.xz">
+  <!ENTITY gcab-md5sum        "d8c54c340e56d0b6a8fe082fd04d8090">
+  <!ENTITY gcab-size          "328 KB">
+  <!ENTITY gcab-buildsize     "5.2 MB (with tests)">
+  <!ENTITY gcab-time          "0.1 SBU (with tests)">
+]>
+
+<sect1 id="gcab" xreflabel="gcab-&gcab-version;" revision="systemd">
+  <?dbhtml filename="gcab.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gcab-&gcab-version;</title>
+
+  <indexterm zone="gcab">
+    <primary sortas="a-gcab">gcab</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Gcab</title>
+
+    <para>
+      The <application>Gcab</application> package contains a
+      program and a library used to create Microsoft cabinet
+      (.cab) archives.
+    </para>
+
+    &lfs81_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gcab-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gcab-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gcab-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gcab-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gcab-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gcab-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="gobject-introspection"/> and
+      <xref linkend="vala"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gcab"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Gcab</title>
+
+    <para>
+      Install <application>Gcab</application> by running
+      the following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          gcab
+        </seg>
+        <seg>
+          libgcab-1.0.so
+        </seg>
+        <seg>
+          /usr/include/libgcab-1.0 and
+          /usr/share/gtk-doc/html/gcab
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="gcab-prog">
+        <term><command>gcab</command></term>
+        <listitem>
+          <para>
+            is a program used to create Microsoft cabinet
+            (.cab) archives.
+          </para>
+          <indexterm zone="gcab gcab-prog">
+            <primary sortas="b-gcab">gcab</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgcab-1.0">
+        <term><filename class="libraryfile">libgcab-1.0.so</filename></term>
+        <listitem>
+          <para>
+            contains API functions for creating Microsoft
+            cabinet (.cab) archives.
+          </para>
+          <indexterm zone="gcab libgcab-1.0">
+            <primary sortas="c-libgcab-1.0">libgcab-1.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: archive/mod_dnssd.xml
===================================================================
--- archive/mod_dnssd.xml	(revision 5ac4aad2ae195d8dd7931396b6b6b7286c3556d7)
+++ archive/mod_dnssd.xml	(revision 363f6dc0c2cf1cc4f9060b8da84ebd481695192b)
@@ -13,5 +13,5 @@
 ]>
 
-<sect1 id="mod_dnssd" xreflabel="mod_dnssd-&mod_dnssd-version;">
+<sect1 id="mod_dnssd" xreflabel="mod_dnssd-&mod_dnssd-version;" revision="systemd">
   <?dbhtml filename="mod_dnssd.html"?>
 
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs81_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -128,5 +128,5 @@
 
     <para>
-      <option>--disable-lynx</option>: This parameter turns off
+      <parameter>--disable-lynx</parameter>: This parameter turns off
       <application>Lynx</application> usage for documentation generation.
       Remove it if you have <application>Lynx</application> installed.
Index: neral/genlib/gcab.xml
===================================================================
--- general/genlib/gcab.xml	(revision 5ac4aad2ae195d8dd7931396b6b6b7286c3556d7)
+++ 	(revision )
@@ -1,188 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY gcab-download-http
-           "&gnome-download-http;/gcab/0.7/gcab-&gcab-version;.tar.xz">
-  <!ENTITY gcab-download-ftp
-           "&gnome-download-ftp;/gcab/0.7/gcab-&gcab-version;.tar.xz">
-  <!ENTITY gcab-md5sum        "d8c54c340e56d0b6a8fe082fd04d8090">
-  <!ENTITY gcab-size          "328 KB">
-  <!ENTITY gcab-buildsize     "5.2 MB (with tests)">
-  <!ENTITY gcab-time          "0.1 SBU (with tests)">
-]>
-
-<sect1 id="gcab" xreflabel="gcab-&gcab-version;" revision="systemd">
-  <?dbhtml filename="gcab.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>gcab-&gcab-version;</title>
-
-  <indexterm zone="gcab">
-    <primary sortas="a-gcab">gcab</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Gcab</title>
-
-    <para>
-      The <application>Gcab</application> package contains a
-      program and a library used to create Microsoft cabinet
-      (.cab) archives.
-    </para>
-
-    &lfs81_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&gcab-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&gcab-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &gcab-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &gcab-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &gcab-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &gcab-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="glib2"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="gobject-introspection"/> and
-      <xref linkend="vala"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="gtk-doc"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gcab"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Gcab</title>
-
-    <para>
-      Install <application>Gcab</application> by running
-      the following commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make check</command>.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          gcab
-        </seg>
-        <seg>
-          libgcab-1.0.so
-        </seg>
-        <seg>
-          /usr/include/libgcab-1.0 and
-          /usr/share/gtk-doc/html/gcab
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="gcab-prog">
-        <term><command>gcab</command></term>
-        <listitem>
-          <para>
-            is a program used to create Microsoft cabinet
-            (.cab) archives.
-          </para>
-          <indexterm zone="gcab gcab-prog">
-            <primary sortas="b-gcab">gcab</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgcab-1.0">
-        <term><filename class="libraryfile">libgcab-1.0.so</filename></term>
-        <listitem>
-          <para>
-            contains API functions for creating Microsoft
-            cabinet (.cab) archives.
-          </para>
-          <indexterm zone="gcab libgcab-1.0">
-            <primary sortas="c-libgcab-1.0">libgcab-1.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision 5ac4aad2ae195d8dd7931396b6b6b7286c3556d7)
+++ general/genlib/genlib.xml	(revision 363f6dc0c2cf1cc4f9060b8da84ebd481695192b)
@@ -58,5 +58,5 @@
 
   <!-- systemd only -->
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gcab.xml"/>
+  <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gcab.xml"/> -->
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glib2.xml"/>
Index: general/prog/jinja2.xml
===================================================================
--- general/prog/jinja2.xml	(revision 5ac4aad2ae195d8dd7931396b6b6b7286c3556d7)
+++ general/prog/jinja2.xml	(revision 363f6dc0c2cf1cc4f9060b8da84ebd481695192b)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs81_checked;
+      &lfs82_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: tworking/netutils/mod_dnssd.xml
===================================================================
--- networking/netutils/mod_dnssd.xml	(revision 5ac4aad2ae195d8dd7931396b6b6b7286c3556d7)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY mod_dnssd-download-http "http://0pointer.de/lennart/projects/mod_dnssd/mod_dnssd-&mod_dnssd-version;.tar.gz">
-  <!ENTITY mod_dnssd-download-ftp  " ">
-  <!ENTITY mod_dnssd-md5sum        "bed3d95a98168bf0515922d1c05020c5">
-  <!ENTITY mod_dnssd-size          "84 KB">
-  <!ENTITY mod_dnssd-buildsize     "1 MB">
-  <!ENTITY mod_dnssd-time          "less than 0.1 SBU">
-]>
-
-<sect1 id="mod_dnssd" xreflabel="mod_dnssd-&mod_dnssd-version;" revision="systemd">
-  <?dbhtml filename="mod_dnssd.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>mod_dnssd-&mod_dnssd-version;</title>
-
-  <indexterm zone="mod_dnssd">
-    <primary sortas="a-mod_dnssd">mod_dnssd</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to mod_dnssd</title>
-
-    <para>
-      The <application>mod_dnssd</application> package is an
-      <application>Apache</application> HTTPD module which adds Zeroconf support
-      via DNS-SD using <application>Avahi</application>. This allows
-      <application>Apache</application> to advertise itself and the websites
-      available to clients compatible with the protocol.
-    </para>
-
-    &lfs81_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&mod_dnssd-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&mod_dnssd-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &mod_dnssd-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &mod_dnssd-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &mod_dnssd-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &mod_dnssd-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">mod_dnssd Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="apache"/> and
-      <xref linkend="avahi"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="lynx"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/mod_dnssd"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of mod_dnssd</title>
-
-    <para>
-      Install <application>mod_dnssd</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>sed -i 's/unixd_setup_child/ap_&amp;/' src/mod_dnssd.c &amp;&amp;
-
-./configure --prefix=/usr \
-            --disable-lynx &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install
-sed -i 's| usr| /usr|' /etc/httpd/httpd.conf</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <command>sed ... src/mod_dnssd.c</command>: Fix an external function
-      call that has been updated since this package was released.
-    </para>
-
-    <para>
-      <parameter>--disable-lynx</parameter>: This parameter turns off
-      <application>Lynx</application> usage for documentation generation.
-      Remove it if you have <application>Lynx</application> installed.
-    </para>
-
-    <para>
-      <command>sed ... /etc/httpd/httpd.conf</command>: Fix a directory
-      path that the intallation procedure incorrectly puts in the
-      httpd configuration file.
-    </para>
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>None</seg>
-        <seg>mod_dnssd.so</seg>
-        <seg>None</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="mod_dnssd-lib">
-        <term><filename class='libraryfile'>mod_dnssd.so</filename></term>
-        <listitem>
-          <para>is the <application>Apache</application> HTTPD module.</para>
-          <indexterm zone="mod_dnssd mod_dnssd-lib">
-            <primary sortas="c-mod_dnssd">mod_dnssd.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: networking/netutils/netutils.xml
===================================================================
--- networking/netutils/netutils.xml	(revision 5ac4aad2ae195d8dd7931396b6b6b7286c3556d7)
+++ networking/netutils/netutils.xml	(revision 363f6dc0c2cf1cc4f9060b8da84ebd481695192b)
@@ -26,5 +26,5 @@
 
   <!-- systemd only -->  
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mod_dnssd.xml"/>
+  <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mod_dnssd.xml"/> -->
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="networkmanager.xml"/>